Index: portal2/pak01_dir.vpk/scripts/hudlayout.res
===================================================================
--- portal2/pak01_dir.vpk/scripts/hudlayout.res	(revision 23)
+++ portal2/pak01_dir.vpk/scripts/hudlayout.res	(revision 24)
@@ -101,8 +101,10 @@
 		"fieldName" "HUDQuickInfo"
 		"visible" "1"
 		"enabled" "1"
-		"wide"	 "640"
-		"tall"	 "480"
+		"wide"	 "640"		[$GAMECONSOLE]
+		"tall"	 "480"		[$GAMECONSOLE]
+		"wide"	 "f0"		[!$GAMECONSOLE]
+		"tall"	 "f0"		[!$GAMECONSOLE]
 	}
 
 	HudAnimationInfo
Index: bin/dxsupport_mac.cfg
===================================================================
--- bin/dxsupport_mac.cfg	(revision 23)
+++ bin/dxsupport_mac.cfg	(revision 24)
@@ -144,642 +144,656 @@
 	}
 	"20"
 	{
+		"name" "AMD Radeon HD 6970M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6720"
+		"maxdeviceid"	"0x6720"
+	}
+	"21"
+	{
+		"name" "AMD Radeon HD 6770M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6740"
+		"maxdeviceid"	"0x6740"
+	}
+	"22"
+	{
 		"name" "AMD Radeon HD 6750M"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6741"
 		"maxdeviceid"	"0x6741"
 	}
-	"21"
+	"23"
 	{
 		"name" "AMD Radeon HD 6490M"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6760"
 		"maxdeviceid"	"0x6760"
 	}
-	"22"
+	"24"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6880"
 		"maxdeviceid"	"0x6880"
 	}
-	"23"
+	"25"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6888"
 		"maxdeviceid"	"0x6889"
 	}
-	"24"
+	"26"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6890"
 		"maxdeviceid"	"0x6890"
 	}
-	"25"
+	"27"
 	{
 		"name" "ATI Radeon HD 5870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6898"
 		"maxdeviceid"	"0x6898"
 	}
-	"26"
+	"28"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6899"
 		"maxdeviceid"	"0x6899"
 	}
-	"27"
+	"29"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x689c"
 		"maxdeviceid"	"0x689d"
 	}
-	"28"
+	"30"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a0"
 		"maxdeviceid"	"0x68a0"
 	}
-	"29"
+	"31"
 	{
 		"name" "ATI Radeon HD 5750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a1"
 		"maxdeviceid"	"0x68a1"
 	}
-	"30"
+	"32"
 	{
 		"name" "ATI Radeon HD 5770"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a8"
 		"maxdeviceid"	"0x68a8"
 	}
-	"31"
+	"33"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a9"
 		"maxdeviceid"	"0x68a9"
 	}
-	"32"
+	"34"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68b0"
 		"maxdeviceid"	"0x68b0"
 	}
-	"33"
+	"35"
 	{
 		"name" "ATI Radeon HD 5750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68b1"
 		"maxdeviceid"	"0x68b1"
 	}
-	"34"
+	"36"
 	{
 		"name" "ATI Radeon HD 5750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68b8"
 		"maxdeviceid"	"0x68b9"
 	}
-	"35"
+	"37"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68be"
 		"maxdeviceid"	"0x68be"
 	}
-	"36"
+	"38"
 	{
 		"name" "ATI Radeon HD 5670 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c0"
 		"maxdeviceid"	"0x68c0"
 	}
-	"37"
+	"39"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c1"
 		"maxdeviceid"	"0x68c1"
 	}
-	"38"
+	"40"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c8"
 		"maxdeviceid"	"0x68c9"
 	}
-	"39"
+	"41"
 	{
 		"name" "ATI Radeon HD 5670 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68d0"
 		"maxdeviceid"	"0x68d0"
 	}
-	"40"
+	"42"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68d1"
 		"maxdeviceid"	"0x68d1"
 	}
-	"41"
+	"43"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68d8"
 		"maxdeviceid"	"0x68d9"
 	}
-	"42"
+	"44"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68de"
 		"maxdeviceid"	"0x68de"
 	}
-	"43"
+	"45"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68e0"
 		"maxdeviceid"	"0x68e1"
 	}
-	"44"
+	"46"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68e8"
 		"maxdeviceid"	"0x68e9"
 	}
-	"45"
+	"47"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68f0"
 		"maxdeviceid"	"0x68f1"
 	}
-	"46"
+	"48"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68f8"
 		"maxdeviceid"	"0x68f9"
 	}
-	"47"
+	"49"
 	{
 		"name" "ATI Radeon X3000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68fe"
 		"maxdeviceid"	"0x68fe"
 	}
-	"48"
+	"50"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7109"
 		"maxdeviceid"	"0x7109"
 	}
-	"49"
+	"51"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7142"
 		"maxdeviceid"	"0x7142"
 	}
-	"50"
+	"52"
 	{
 		"name" "ATI Radeon 1300"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7146"
 		"maxdeviceid"	"0x7146"
 	}
-	"51"
+	"53"
 	{
 		"name" "ATI Radeon 1300"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7187"
 		"maxdeviceid"	"0x7187"
 	}
-	"52"
+	"54"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x71c0"
 		"maxdeviceid"	"0x71c0"
 	}
-	"53"
+	"55"
 	{
 		"name" "ATI Radeon 1600"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x71c5"
 		"maxdeviceid"	"0x71c5"
 	}
-	"54"
+	"56"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x71de"
 		"maxdeviceid"	"0x71de"
 	}
-	"55"
+	"57"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7210"
 		"maxdeviceid"	"0x7210"
 	}
-	"56"
+	"58"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7240"
 		"maxdeviceid"	"0x7240"
 	}
-	"57"
+	"59"
 	{
 		"name" "ATI Radeon 1900"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7249"
 		"maxdeviceid"	"0x7249"
 	}
-	"58"
+	"60"
 	{
 		"name" "ATI Radeon X1000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7291"
 		"maxdeviceid"	"0x7291"
 	}
-	"59"
+	"61"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9400"
 		"maxdeviceid"	"0x9403"
 	}
-	"60"
+	"62"
 	{
 		"name" "ATI Radeon HD 4870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9440"
 		"maxdeviceid"	"0x9440"
 	}
-	"61"
+	"63"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9442"
 		"maxdeviceid"	"0x9442"
 	}
-	"62"
+	"64"
 	{
 		"name" "ATI Radeon HD 4850"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x944a"
 		"maxdeviceid"	"0x944a"
 	}
-	"63"
+	"65"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x945a"
 		"maxdeviceid"	"0x945a"
 	}
-	"64"
+	"66"
 	{
 		"name" "ATI Radeon HD 4670"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9480"
 		"maxdeviceid"	"0x9480"
 	}
-	"65"
+	"67"
 	{
 		"name" "ATI Radeon HD 4670"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9488"
 		"maxdeviceid"	"0x9488"
 	}
-	"66"
+	"68"
 	{
 		"name" "ATI Radeon 4600"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9490"
 		"maxdeviceid"	"0x9490"
 	}
-	"67"
+	"69"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x949e"
 		"maxdeviceid"	"0x949e"
 	}
-	"68"
+	"70"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94a0"
 		"maxdeviceid"	"0x94a0"
 	}
-	"69"
+	"71"
 	{
 		"name" "ATI Radeon HD 2400"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94c8"
 		"maxdeviceid"	"0x94c9"
 	}
-	"70"
+	"72"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9500"
 		"maxdeviceid"	"0x9500"
 	}
-	"71"
+	"73"
 	{
 		"name" "ATI Radeon HD 3870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9501"
 		"maxdeviceid"	"0x9501"
 	}
-	"72"
+	"74"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9504"
 		"maxdeviceid"	"0x9507"
 	}
-	"73"
+	"75"
 	{
 		"name" "ATI Radeon 4500"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9540"
 		"maxdeviceid"	"0x9540"
 	}
-	"74"
+	"76"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9540"
 		"maxdeviceid"	"0x9541"
 	}
-	"75"
+	"77"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x954e"
 		"maxdeviceid"	"0x954f"
 	}
-	"76"
+	"78"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9552"
 		"maxdeviceid"	"0x9552"
 	}
-	"77"
+	"79"
 	{
 		"name" "ATI Radeon 4500"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9553"
 		"maxdeviceid"	"0x9553"
 	}
-	"78"
+	"80"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9581"
 		"maxdeviceid"	"0x9581"
 	}
-	"79"
+	"81"
 	{
 		"name" "ATI Radeon HD 2600 Pro"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9583"
 		"maxdeviceid"	"0x9583"
 	}
-	"80"
+	"82"
 	{
 		"name" "ATI Radeon HD 2600"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9588"
 		"maxdeviceid"	"0x9588"
 	}
-	"81"
+	"83"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9591"
 		"maxdeviceid"	"0x9591"
 	}
-	"82"
+	"84"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9593"
 		"maxdeviceid"	"0x9593"
 	}
-	"83"
+	"85"
 	{
 		"name" "ATI Radeon X2000"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9598"
 		"maxdeviceid"	"0x9599"
 	}
-	"85"
+	"87"
 	{
 		"name" "NVIDIA Quadro FX 4500"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x009d"
 		"maxdeviceid"	"0x009d"
 	}
-	"86"
+	"88"
 	{
 		"name" "NVIDIA GeForce 8800 GTS"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0193"
 		"maxdeviceid"	"0x0193"
 	}
-	"87"
+	"89"
 	{
 		"name" "NVIDIA Quadro FX 5600"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x019d"
 		"maxdeviceid"	"0x019d"
 	}
-	"88"
+	"90"
 	{
 		"name" "NVIDIA GeForce 7600 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0391"
 		"maxdeviceid"	"0x0391"
 	}
-	"89"
+	"91"
 	{
 		"name" "NVIDIA GeForce 7300 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0393"
 		"maxdeviceid"	"0x0393"
 	}
-	"90"
+	"92"
 	{
 		"name" "NVIDIA GeForce 7300 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0395"
 		"maxdeviceid"	"0x0395"
 	}
-	"91"
+	"93"
 	{
 		"name" "NVIDIA GeForce 8600M GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0407"
 		"maxdeviceid"	"0x0407"
 	}
-	"92"
+	"94"
 	{
 		"name" "NVIDIA GeForce GTX 260"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x05e2"
 		"maxdeviceid"	"0x05e2"
 	}
-	"93"
+	"95"
 	{
 		"name" "NVIDIA GeForce GTX 285"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x05e3"
 		"maxdeviceid"	"0x05e3"
 	}
-	"94"
+	"96"
 	{
 		"name" "NVIDIA GeForce 8800 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0602"
 		"maxdeviceid"	"0x0602"
 	}
-	"95"
+	"97"
 	{
 		"name" "NVIDIA GeForce 8800M GTS"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0609"
 		"maxdeviceid"	"0x0609"
 	}
-	"96"
+	"98"
 	{
 		"name" "NVIDIA GeForce 8800 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0611"
 		"maxdeviceid"	"0x0611"
 	}
-	"97"
+	"99"
 	{
 		"name" "NVIDIA GeForce GT 130"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x062e"
 		"maxdeviceid"	"0x062e"
 	}
-	"98"
+	"100"
 	{
 		"name" "NVIDIA GeForce GT 120"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0640"
 		"maxdeviceid"	"0x0640"
 	}
-	"99"
+	"101"
 	{
 		"name" "NVIDIA GeForce 9600M GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0647"
 		"maxdeviceid"	"0x0647"
 	}
-	"100"
+	"102"
 	{
 		"name" "NVIDIA GeForce GT 120"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0655"
 		"maxdeviceid"	"0x0656"
 	}
-	"101"
+	"103"
 	{
 		"name" "NVIDIA GeForce 9400"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0861"
 		"maxdeviceid"	"0x0861"
 	}
-	"102"
+	"104"
 	{
 		"name" "NVIDIA GeForce 9400M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0863"
 		"maxdeviceid"	"0x0863"
 	}
-	"103"
+	"105"
 	{
 		"name" "NVIDIA GeForce 9400M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0866"
 		"maxdeviceid"	"0x0866"
 	}
-	"104"
+	"106"
 	{
 		"name" "NVIDIA GeForce 9500 GT"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0867"
 		"maxdeviceid"	"0x0867"
 	}
-	"105"
+	"107"
 	{
 		"name" "NVIDIA GeForce 9400"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0869"
 		"maxdeviceid"	"0x0869"
 	}
-	"106"
+	"108"
 	{
 		"name" "NVIDIA GeForce 9400M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0870"
 		"maxdeviceid"	"0x0870"
 	}
-	"107"
+	"109"
 	{
 		"name" "NVIDIA Quadro FX 4800"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x05fe"
 		"maxdeviceid"	"0x05fe"
 	}
-	"108"
+	"110"
 	{
 		"name" "NVIDIA GeForce GT 330M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0a29"
 		"maxdeviceid"	"0x0a29"
 	}
-	"109"
+	"111"
 	{
 		"name" "NVIDIA GeForce 320M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x08a0"
 		"maxdeviceid"	"0x08a0"
 	}
-	"110"
+	"112"
 	{
 		"name" "NVIDIA GeForce 320M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x08a4"
 		"maxdeviceid"	"0x08a4"
 	}
-	"111"
+	"113"
 	{
 		"name" "Intel HD Graphics 3000"
 		"vendorid"	"0x8086"
 		"mindeviceid"	"0x0116"
 		"maxdeviceid"	"0x0116"
 	}
-	"112"
+	"114"
 	{
 		"name" "Intel HD Graphics 3000"
 		"vendorid"	"0x8086"
@@ -794,7 +808,7 @@
 		"maxdeviceid"	"0xffff"
 		"makemelast"	"1"
 	}
-	"84"
+	"86"
 	{
 		"name" "NVIDIA Unknown"
 		"vendorid"	"0x10de"
